Uploaded image for project: 'MongoDB Shell'
  1. MongoDB Shell
  2. MONGOSH-1348

Update instead of replace download center config

    • Type: Icon: Task Task
    • Resolution: Done
    • Priority: Icon: Major - P3 Major - P3
    • 1.10.4
    • Affects Version/s: None
    • Component/s: Build
    • Labels:
      None
    • 3
    • Not Needed
    • Iteration Hagryphus

      This is going to be a requirement if we want (and I assume we do) to allow users to select either mongosh 1.x or 2.x in the download center.

      Current code: https://github.com/mongodb-js/mongosh/blob/a87c817dd8bb43b8efab22f2692be8f18d417154/packages/build/src/download-center/config.ts#L36

      We had opened a duplicate in MONGOSH-1532, its description was:

      Currently, we replace the download center configuration entirely on each release. We adjust this mechanism to download the existing config first, and only update (or insert) an entry for the major release number for which we are also currently doing a release.

            Assignee:
            himanshu.singh@mongodb.com Himanshu Singh
            Reporter:
            anna.henningsen@mongodb.com Anna Henningsen
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Created:
              Updated:
              Resolved: